Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Kura » Eclipse Smart GreenHouse Package not working
Eclipse Smart GreenHouse Package not working [message #1767022] Thu, 29 June 2017 15:09 Go to next message
Humza Asghar is currently offline Humza AsgharFriend
Messages: 1
Registered: June 2017
Junior Member
I am trying to make eclipse smarthome, usinng a Raspberry pi as given on the following page " https://iot.eclipse.org/java/tutorial/ " . Now when I try to install an application form Kura web UI, a message is shown that download is sucessful but nothing appers in the packages folder. Application name is Greenhouse Publisher.
Re: Eclipse Smart GreenHouse Package not working [message #1767044 is a reply to message #1767022] Thu, 29 June 2017 22:55 Go to previous messageGo to next message
David Woodard is currently offline David WoodardFriend
Messages: 420
Registered: July 2014
Senior Member
Hello,

It is likely that the bundles are failing to resolve. If you check /var/log/kura.log and /var/log/kura-console.log you will likely see errors. You can also check the 'ss' and 'ls' commands in OSGi console for unresolved bundles/components.

What version of Kura are you using? The Greenhouse Publisher demo was created based on Kura v1.3.0. It is likely not compatible with newer versions of Kura. We need to update this project to make sure it remains compatible.

Thanks,
--Dave
Re: Eclipse Smart GreenHouse Package not working [message #1767377 is a reply to message #1767044] Wed, 05 July 2017 12:27 Go to previous message
LI Yi is currently offline LI YiFriend
Messages: 37
Registered: June 2017
Member
Hi, I have met this problem too. I am using Kura 3.0 and Raspberry Pi 3 Mode B,

and the green house example had used Kura 2.0.

is there anyone who can resolve this problem? Thank you!
Previous Topic:Help: Extends Cloudlet
Next Topic:Failed to install deployment package of GreenHOuse!
Goto Forum:
  


Current Time: Mon Sep 24 22:53:21 GMT 2018

Powered by FUDForum. Page generated in 0.01799 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top